<div class="bg-primary p-a-1" [class.bg-warning]="editing">
    <h5>{{editing ? "Edit" : "Create"}} Product</h5>
</div>
<form [formGroup]="productForm" (ngSubmit)="save()" novalidate>
    <div formGroupName="product" novalidate>
        <div class="form-group">
            <label>Name</label>
            <input class="form-control" formControlName="name">
        </div>
        <div class="form-group">
            <label>Category</label>
            <select class="form-control" formControlName="category" [compareWith]="compare">
                <option *ngFor="let category of categories" [ngValue]="category">{{category.name}}</option>
            </select>
        </div>
        <div class="form-group">
            <label>Description</label>
            <textarea class="form-control" formControlName="description"></textarea>
        </div>
        <div class="form-group">
            <label>Price</label>
            <input class="form-control" formControlName="price"/>
        </div>
    </div>
    <button type="submit" class="btn btn-primary" [class.btn-warning]="editing">
        {{editing ? "Save" : "Create"}}
    </button>
    <button type="reset" class="btn btn-secondary" routerLink="/admin/main/products">
        Cancel
    </button>
</form>
<p>Form value: {{ productForm.value | json }}</p> 